apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-12-02T09:01:41Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-02T09:01:40Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-12-02T09:06:39Z'
  name: cold-win2022
  namespace: openshift-mtv
  resourceVersion: '9603001'
  uid: fc26ec0b-49fd-448c-9532-b2a3fa272928
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 6beb8120-a6ba-4254-9704-2d0ab79b485b
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: r7-us
      namespace: openshift-mtv
      uid: c6ad280a-abec-4bda-80ce-03f66680cdf7
  preserveStaticIPs: true
  type: cold
  vms:
    - id: vm-144
      name: mtv-func-win2022-uefi-sb
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: r7-us-kwhmf
      namespace: openshift-mtv
      uid: d0631867-20dc-470a-b555-85a244b8ed1a
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: r7-us-t8fpc
      namespace: openshift-mtv
      uid: 8904f152-33db-4730-bfd3-f4225b484f61
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-12-02T09:01:49Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-12-02T09:06:34Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
    - category: Warn
      items:
        - ' id:vm-144 name:''mtv-func-win2022-uefi-sb'' '
      lastTransitionTime: '2025-12-02T09:06:38Z'
      message: 'Guest information on vNICs is missing, cannot preserve static IPs. If this machine has static IP, make sure VMware tools are installed and the VM is running.'
      reason: MissingGuestInformation
      status: 'True'
      type: VMMissingGuestIPs
  migration:
    completed: '2025-12-02T09:06:34Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-02T09:06:34Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: r7-us-kwhmf
            namespace: openshift-mtv
            uid: d0631867-20dc-470a-b555-85a244b8ed1a
          storage:
            generation: 1
            name: r7-us-t8fpc
            namespace: openshift-mtv
            uid: 8904f152-33db-4730-bfd3-f4225b484f61
        migration:
          generation: 1
          name: cold-win2022-qpp6w
          namespace: openshift-mtv
          uid: bfd24351-4dfa-4ba2-8869-f7eec4289683
        plan:
          generation: 1
          name: cold-win2022
          namespace: openshift-mtv
          uid: fc26ec0b-49fd-448c-9532-b2a3fa272928
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 6beb8120-a6ba-4254-9704-2d0ab79b485b
          source:
            generation: 1
            name: r7-us
            namespace: openshift-mtv
            uid: c6ad280a-abec-4bda-80ce-03f66680cdf7
    started: '2025-12-02T09:02:20Z'
    vms:
      - started: '2025-12-02T09:02:20Z'
        pipeline:
          - completed: '2025-12-02T09:02:52Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-02T09:02:20Z'
          - annotations:
              unit: MB
            completed: '2025-12-02T09:02:58Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 16384
              total: 16384
            started: '2025-12-02T09:02:55Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-12-02T09:02:58Z'
                name: '[mtv-nfs-rhos-v7] mtv-func-win2022-uefi-sb/mtv-func-win2022-uefi-sb.vmdk'
                phase: Completed
                progress:
                  completed: 16384
                  total: 16384
                reason: Transfer completed.
                started: '2025-12-02T09:02:55Z'
          - completed: '2025-12-02T09:06:31Z'
            description: Convert image to kubevirt.
            error:
              phase: Running
              reasons:
                - Guest conversion failed. See pod logs for details.
            name: ImageConversion
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2025-12-02T09:02:59Z'
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Pending
            progress:
              completed: 0
              total: 16384
            tasks:
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v7] mtv-func-win2022-uefi-sb/mtv-func-win2022-uefi-sb.vmdk'
                progress:
                  completed: 0
                  total: 16384
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        error:
          phase: ConvertGuest
          reasons:
            - Guest conversion failed. See pod logs for details.
        completed: '2025-12-02T09:06:33Z'
        name: mtv-func-win2022-uefi-sb
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-02T09:06:31Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        restorePowerState: 'On'
        id: vm-144
        phase: Completed
  observedGeneration: 1
